on: 
  - push
  - workflow_dispatch
name: Build and upload website update
jobs:
  build-upload:
    name: build-and-upload
    runs-on: ubuntu-latest
    steps:
    - name: Pull repo
      uses: actions/checkout@v6
      with:
        ref: main
    - name: Run node build
      uses: actions/node-action@main
      with:
        script: 'build.js'
    - name: Push changes to webserver
      uses: actions/ftp-deploy@v4.3.6
      with:
        server: ${{ vars.FTP_URL }}
        username: ${{ vars.FTP_USERNAME }}
        password: ${{ secrets.FTP_PASSWORD }}
        local-dir: dist/
        dry-run: true
        server-dir: domains/beta.janishutz.com/public_html/
